# `abacusai.organization_group`

## Module Contents

### Classes

`OrganizationGroup` | An Organization Group. Defines the permissions available to the users who are members of the group.

class abacusai.organization_group.OrganizationGroup(client, organizationGroupId=None, permissions=None, groupName=None, defaultGroup=None, admin=None, createdAt=None)

  Bases: `abacusai.return_class.AbstractApiClass`

  An Organization Group. Defines the permissions available to the users who are members of the group.

  Parameters:

    - client (ApiClient) – An authenticated API Client instance

    - organizationGroupId (str) – The unique identifier of the Organization Group.

    - permissions (list of enum string) – The list of permissions (VIEW, MODIFY, ADMIN, BILLING, API_KEY, INVITE_USER) the group has.

    - groupName (str) – The name of the Organization Group.

    - defaultGroup (bool) – If true, all new users will be added to this group automatically.

    - admin (bool) – If true, this group contains all permissions available to the organization and cannot be modified or deleted.

    - createdAt (str) – When the Organization Group was created.

  __repr__()

    Return repr(self).

  to_dict()

    Get a dict representation of the parameters in this class

    Returns:

      The dict value representation of the class parameters

    Return type:

      dict

  refresh()

    Calls describe and refreshes the current object’s fields

    Returns:

      The current object

    Return type:

      OrganizationGroup

  describe()

    Returns the specific organization group passed in by the user.

    Parameters:

      organization_group_id (str) – The unique identifier of the organization group to be described.

    Returns:

      Information about a specific organization group.

    Return type:

      OrganizationGroup

  add_permission(permission)

    Adds a permission to the specified Organization Group.

    Parameters:

      permission (str) – Permission to add to the Organization Group.

  remove_permission(permission)

    Removes a permission from the specified Organization Group.

    Parameters:

      permission (str) – The permission to remove from the Organization Group.

  delete()

    Deletes the specified Organization Group

    Parameters:

      organization_group_id (str) – Unique string identifier of the organization group.

  add_user_to(email)

    Adds a user to the specified Organization Group.

    Parameters:

      email (str) – Email of the user to be added to the group.

  remove_user_from(email)

    Removes a user from an Organization Group.

    Parameters:

      email (str) – Email of the user to remove.

  set_default()

    Sets the default Organization Group to which all new users joining an organization are automatically added.

    Parameters:

      organization_group_id (str) – Unique string identifier of the Organization Group.